#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "dac02.h"

int main()
{
  int   fd0, fd1;
  long  dataval;

  /* Open the device files */

  if ((fd0 = open("/dev/dac02/dac0", O_WRONLY)) < 0) 
  {
    fprintf(stderr, "Error opening DAC02 device, DAC 0\n");
    exit(2);
  }

  if ((fd1 = open("/dev/dac02/dac1", O_WRONLY)) < 0) 
  {
    fprintf(stderr, "Error opening DAC02 device, DAC 1\n");
    exit(2);
  }

  while(1)
  {
    printf("Enter value for DAC 0: ");
    scanf("%ld", &dataval);
    dataval &= 0xffff;
    write(fd0, &dataval, 2);

    printf("Enter value for DAC 1: ");
    scanf("%ld", &dataval);
    dataval &= 0xffff;
    write(fd1, &dataval, 2);

    printf("Enter 9 to exit, anything else to continue: ");
    scanf("%ld", &dataval);
    if (dataval == 9)
      break;
  }

  close(fd0);
  close(fd1);
  exit(0);  
}
